Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::StandardModel Class Reference

標準モデル More...

`#include <StandardModel.h>`

Inheritance diagram for Lamp::StandardModel:

List of all members.

## Public Member Functions
virtual bool | isStandardModel () const
| 標準モデルかどうか
virtual SceneLeaf * | copy (u_int copyMask=0) const
| コピー
virtual Model * | copyModel (u_int copyMask=0) const
| モデルのコピー
virtual StandardModel * | copyStandardModel (u_int copyMask=0) const
| 標準モデルのコピー
virtual void | addMesh (Mesh *mesh)
| メッシュの追加
## Protected Member Functions
| StandardModel (const String &name, Scene *scene)
| コンストラクタ
virtual | ~StandardModel ()
| デストラクタ
## Friends
class | ModelManager

## Detailed Description

標準モデル

Definition at line 36 of file StandardModel.h.

## Constructor & Destructor Documentation

Lamp::StandardModel::StandardModel | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 35 of file StandardModel.cpp.

## Member Function Documentation

void Lamp::StandardModel::addMesh | ( | Mesh * | mesh | ) | `[virtual]`

  | メッシュの追加 Parameters:
  mesh | 追加するメッシュ
Reimplemented from Lamp::Model. Definition at line 55 of file StandardModel.cpp. References Assert, and Lamp::Mesh::isRigidMesh().

virtual SceneLeaf* Lamp::StandardModel::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたシーンリーフ Implements Lamp::SceneLeaf. Definition at line 51 of file StandardModel.h. References copyStandardModel().

virtual Model* Lamp::StandardModel::copyModel | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | モデルのコピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたモデル Implements Lamp::Model. Definition at line 60 of file StandardModel.h. References copyStandardModel(). Referenced by copyStandardModel().

StandardModel * Lamp::StandardModel::copyStandardModel | ( | u_int | copyMask = 0 | ) | const`[virtual]`

  | 標準モデルのコピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたモデル Definition at line 44 of file StandardModel.cpp. References copyModel(), Lamp::Model::copyModelValue(), Lamp::ModelManager::createStandardModel(), Lamp::Scene::getModelManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Model >::rename(), and Lamp::SceneObject::scene_. Referenced by copy(), and copyModel().

virtual bool Lamp::StandardModel::isStandardModel | ( |  | ) | const`[inline, virtual]`

| 標準モデルかどうか Returns: 標準モデルならtrue Reimplemented from Lamp::Model. Definition at line 43 of file StandardModel.h.

The documentation for this class was generated from the following files:

- StandardModel.h
- StandardModel.cpp